Subject: bug#30182: Update

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Jan 2018 22:40:51 +0200

> Date: Mon, 22 Jan 2018 19:59:28 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > The above list has 5 elements, not 4.
> 
> Wouldn't that imply that a timer was added after `copy-sequence'
> started?

How can that happen?  Emacs is a single-threaded program, and
copy-sequence cannot run any Lisp, AFAIK.

>  > Martin, did you try reproducing this on your GNU/Linux box?  Did you
>  > succeed?
> 
> So far I have condensed a ~50 lines excerpt from w3m.el which should
> include all necessary ingredients to shorten the mode line text as w3m
> does, but to no avail.

Why condense?  Why not just use w3m.el in its entirety?

> The list with the 5 timers seems pretty innocuous to me.  I still
> wonder why concat decided to reserve only 4 elements for its copy.

Because Flength told it so, I presume, why else?

Somehow, some code is stomping on the timer-list, I just cannot yet
see which one.